Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfBoolean

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfBoolean

    public class OdfBoolean

extends Object

DOM implementation of OpenDocument data type 'boolean'

Constructor Summary
`OdfBoolean(boolean bool)` Allocates an OdfBoolean object representing the bool argument

Method Summary
`boolean` | `booleanValue()` Returns the value of this OdfBoolean object as a boolean primitive
`String` | `toString()` Returns a String Object representing this OdfBoolean's value
`static OdfBoolean` | `valueOf(String stringValue)` Returns an OdfBoolean instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfBoolean

    public OdfBoolean(boolean bool)

  Allocates an OdfBoolean object representing the bool argument

  Parameters:
    `bool` - the value of the OdfBoolean

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfBoolean's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfBoolean object

### valueOf

    public static OdfBoolean valueOf(String stringValue)

  Returns an OdfBoolean instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfBoolean instance representing stringValue

### booleanValue

    public boolean booleanValue()

  Returns the value of this OdfBoolean object as a boolean primitive

  Returns:
    the primitive boolean value of this OdfBoolean object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.